import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { SplineType } from "./SplineType";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-angular-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { Point, IList$1, Type } from "igniteui-angular-core";
import { CollisionAvoider } from "./CollisionAvoider";
import { List$1 } from "igniteui-angular-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class SplineSeriesBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    qi: SplineSeriesBaseView;
    protected get_ck(): boolean;
    protected qh: number[];
    qo(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericAxisBase, f: CategorySeriesView): void;
    qk(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    aj(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    ol(a: CategoryFrame, b: CategorySeriesView): void;
    private ql;
    ef(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    qm(a: CategoryAxisBase, b: Rect, c: Rect, d: Rect): number;
    qj: SplineType;
    protected qp(): void;
    protected iz(a: any, b: string, c: any, d: any): void;
    protected hy(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class SplineSeriesBaseView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected c6: SplineSeriesBase;
    constructor(a: SplineSeriesBase);
    protected ac(): void;
}
